List campaigns
curl --request GET \
--url https://inboxapp.com/api/v1/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://inboxapp.com/api/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboxapp.com/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "Targeting SaaS founders from the import list",
"enabled": true,
"dryRun": true,
"targetsCount": 4503599627370495,
"contactedCount": 4503599627370495,
"repliesCount": 4503599627370495,
"completionRate": 123,
"replyRate": 123,
"hourlyMessageRate": 13,
"scheduleTimezone": "<string>",
"scheduleHours": {},
"isBuildingPlan": true,
"isSyncing": true,
"scopeAssessedCount": 4503599627370495,
"accountLinkIds": [
"<string>"
],
"rules": {
"syncedLists": [
{
"listId": "<string>",
"listName": "<string>",
"columnMapping": {
"custom_q5cktl47a6pqa74eu06fz89v": "custom_m8r2xj93hd5bk0atcw7oe4fp"
}
}
],
"excludedLists": [
{
"listId": "<string>",
"listName": "<string>"
}
],
"excludeContacted": true,
"excludeMutuals": true
},
"sequence": {
"version": 123,
"steps": [
{
"id": "<string>",
"rank": 123,
"data": {
"segments": [
{
"type": "<unknown>",
"text": "<string>"
}
]
}
}
]
},
"automations": [
{
"id": "<string>",
"trigger": "<unknown>",
"actionData": {
"statusId": "<string>"
},
"enabled": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2025-06-05T16:00:00.000Z",
"completedAt": null,
"lastStartedAt": "2025-06-03T09:00:00.000Z"
}
],
"nextCursor": "<string>"
}Campaigns
List campaigns
List campaigns with optional status filtering and cursor-based pagination
GET
/
campaigns
List campaigns
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pagination cursor from a previous response
Maximum number of campaigns to return per page
Required range:
1 <= x <= 100Example:
50
Filter campaigns by lifecycle status
Available options:
draft, active, paused, completed Was this page helpful?
⌘I